{% extends "base.html.twig" %}

{% block body %}

<h1>{{user.username|capitalize}}'s blog</h1>

<div class="row">
    {% for post in user.posts %}
    <div class="col-12 mb-3">
        <div class="card">
            <div class="card-body">
                <h5 class="card-title">{{post.title}}</h5>
                <h6 class="card-subtitle mb-2 text-muted">{{post.date|date("d/m/Y")}}</h6>
                <p class="card-text">
                    {{post.content[:10]}}...
                </p>
                <a href="{{path('one_post', {id:post.id})}}" class="card-link">Read More</a>
                {% if app.user == user or is_granted('ROLE_ADMIN') %}
                <!-- <a href="{{path('my_blog', {post:post.id})}}" class="card-link">Modify</a> -->
                <a href="{{path('my_blog_delete', {id:post.id})}}" class="card-link">Delete</a>
                {% endif %}
            </div>
        </div>
    </div>

    {% endfor %}
</div>

{% endblock body %}